%define name seahorse
%define version 0.5.0
%define release 1mdk

Name:		%{name}
Summary:	Seahorse is a GNOME frontend to GnuPG
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://www1.kcn.ne.jp/~anthony/seahorse/
Source:		%{name}-%{version}.tar.bz2
Requires:	gnupg
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Seahorse is a Gnome front end for the GNU Privacy Guard ecryption tool. It can 
be used for file encryption and decryption and for digitally signing files and 
for verifying those signatures. Key management options are also included. Both 
English and Japanese is support is provided.
NOTE: NO CRYPTO STUFF IN THIS PACKAGE

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

mkdir -p $RPM_BUILD_ROOT
CFLAGS="$RPM_OPT_FLAGS" ./configure

%configure

%make

%install
make prefix=%{prefix} DESTDIR=$RPM_BUILD_ROOT install

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/seahorse"\
title="Seahorse"\
longtitle="Front end for gnupg"\
needs="x11"\
section="Applications/File tools"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_mandir}/man1/seahorse.1*
%{_bindir}/*
%{_datadir}/gnome/apps/Applications/seahorse.desktop
%{_datadir}/pixmaps/seahorse/seahorse.png
%{_menudir}/*

%changelog
* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- updated to 0.5.0

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-1mdk
- updated to 0.4.9

* Fri Sep 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-2mdk  
- macros
- bm
- menu

* Mon Apr 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- fix group
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.3.6
- specfile changes for spec-helper

* Fri Feb 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
- bzip manpages
